{***************************************************************
 *
 * Unit Name: PrevUtility
 * Purpose  :
 * Author   : Jiri Fait
 * History  :
 *
 ****************************************************************}

unit PrevUtility;

interface
uses QRExtra, Windows, Sysutils;

function LoadRep: string;
procedure QRPrintSetupRegistry;

var
    sFileReport     : string;
    sPreview        : boolean;

implementation

uses Forms, Registry, Dialogs;

// Registrace QRP souboru

procedure QRPrintSetupRegistry;
var Ini             : TRegIniFile;
    ExeFile         : string;
begin
    ExeFile := ParamStr( 0 );
    ini := TRegIniFile.Create( 'user.dat' );
    try
        Ini.RootKey := HKEY_CLASSES_ROOT;
        ini.WriteString( '.QRP', '', 'QRP_FILES' );
        ini.WriteString( 'QRP_FILES\shell\open\command', '', ExeFile + ' "%1"' );
        ini.WriteString( 'QRP_FILES\shell\print\command', '', ExeFile + ' "%1" /p' );
    finally
        ini.Free;
    end;
end;

function LoadRep: string;
begin
    result := '';
    with TOpenDialog.Create( Application ) do try
            Filter := 'QuickReport soubory (*.qrp)|*.qrp';
            if Execute then result := FileName;
        finally
            free;
        end;
end;

initialization
    sFileReport := EmptyStr;
    sPreview := true;
end.

